Do I need Skyrim Anniversary Edition for SKSE?

Questions & AnswersCategory: QuestionsDo I need Skyrim Anniversary Edition for SKSE?
Sayan Dutta Staff asked 1 month ago

Do I need Skyrim Anniversary Edition for SKSE?

 

1 Answers
Best Answer
Sayan Dutta Staff answered 1 month ago

No, you do not need the Skyrim Anniversary Edition for SKSE (Skyrim Script Extender). SKSE is a mod for the original version of Skyrim, and is not specific to any particular edition or version of the game.

Also check https://readus247.com/fix-skse64-not-working/